ESG
Universes

Universes CES

Get CES for all entities of one universe

The CES is only available 48 hours after an entity is registered. Before that, the route returns the universe CES without including newly registered entities.

GET
https://api.textreveal.com/v3/universes/{universe_id}/esg/ces

Request

Parameters

  • universe_id*uuid

    Unique identifier of the universe.

    Example: "75ebc096-749e-4b8f-b690-df13daf49c62"
  • sizeinteger

    Number of records per page

    Default: 10Range: [1, 9999]
  • search_afterstring

    search_after field value from the previous page

  • datedate (operator)

    Extraction date

    Example: "between:2022-01-01;2022-01-02"
  • order(field:direction (enum))[]

    Order to apply to the result.

    Possible fields are: date, ces_score.

    Possible directions are: asc and desc.

    You can specify multiples values.

    Default: [date:asc, ces_score:desc]Example: "date:asc"
  • pageinteger

    Page number, 1-based

    Minimum: 1

Response

Response - 200

CES Scores

  • data*object[]

    Paginated Entities CES list with composed cursor.

  • size*integer

    Number of records per page requested.

    Minimum: 1
  • has_next*boolean

    True if there are more records available.

    Example: true
  • count*integer

    Number of records returned in the current page.

    Minimum: 0
  • search_after*string | null

    Cursor for next page.

  • total*integer

    Total number of records.

    Minimum: 0
Response
{
  "data": [
    {
      "entity_id": "00000000-0000-0000-0000-000000000000",
      "date": "2025-05-06",
      "ces_score": 89
    }
  ],
  "size": 1,
  "has_next": true,
  "count": 1,
  "search_after": "string",
  "total": 1
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number

    Error code.

    Example: 400
  • reason*string

    Error reason.

    Example: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "size",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number

    Error code.

    Example: 401
  • reason*string

    Error reason.

    Example: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Error - 402

Payment required

  • message*string

    Error message.

    Example: "Your account does not have access to this entity. Contact SESAMm sales for more information."
  • code*number

    Error code.

    Example: 402
  • reason*string

    Error reason.

    Example: "forbidden"
Response
{
  "message": "Your account does not have access to this entity. Contact SESAMm sales for more information.",
  "code": 402,
  "reason": "forbidden"
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "Missing required permissions to perform this action."
  • code*number

    Error code.

    Example: 403
  • reason*string

    Error reason.

    Example: "forbidden"
Response
{
  "message": "Missing required permissions to perform this action.",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your company."
  • code*number

    Error code.

    Example: 404
  • reason*string

    Error reason.

    Example: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your company.",
  "code": 404,
  "reason": "not_found"
}

Error - 405

Method not allowed

  • message*string

    Error message.

    Example: "Method Not Allowed"
  • code*number

    Error code.

    Example: 405
  • reason*string

    Error reason.

    Example: "invalid"
Response
{
  "message": "Method Not Allowed",
  "code": 405,
  "reason": "invalid"
}

Generic errors are not shown, see Errors for more details.